Package org.apache.sling.scripting.sightly.impl.parser.expr.generated

## Class SightlyParser

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,​org.antlr.v4.runtime.atn.ParserATNSimulator>
  - - org.antlr.v4.runtime.Parser
    - - org.apache.sling.scripting.sightly.impl.parser.expr.generated.SightlyParser

    public class SightlyParser
    extends org.antlr.v4.runtime.Parser

### Nested Class Summary

Nested Classes
`static class` `SightlyParser.AndBinaryOpContext`
`static class` `SightlyParser.AtomContext`
`static class` `SightlyParser.ComparisonOpContext`
`static class` `SightlyParser.ComparisonTermContext`
`static class` `SightlyParser.ExpressionContext`
`static class` `SightlyParser.ExprNodeContext`
`static class` `SightlyParser.FactorContext`
`static class` `SightlyParser.FieldContext`
`static class` `SightlyParser.InBinaryOpContext`
`static class` `SightlyParser.InterpolationContext`
`static class` `SightlyParser.OptionContext`
`static class` `SightlyParser.OptionListContext`
`static class` `SightlyParser.OrBinaryOpContext`
`static class` `SightlyParser.SimpleContext`
`static class` `SightlyParser.StringConstContext`
`static class` `SightlyParser.TermContext`
`static class` `SightlyParser.TextFragContext`
`static class` `SightlyParser.ValueListContext`

### Nested classes/interfaces inherited from class org.antlr.v4.runtime.Parser

`org.antlr.v4.runtime.Parser.TraceListener, org.antlr.v4.runtime.Parser.TrimToSizeListener`

### Field Summary

Fields
`static org.antlr.v4.runtime.atn.ATN` `_ATN`
`protected static org.antlr.v4.runtime.dfa.DFA[]` `_decisionToDFA`
`static String` `_serializedATN`
`protected static org.antlr.v4.runtime.atn.PredictionContextCache` `_sharedContextCache`
`static int` `AND_OP`
`static int` `ARRAY_END`
`static int` `ARRAY_START`
`static int` `ASSIGN`
`static int` `BOOL_CONSTANT`
`static int` `COMMA`
`static int` `COMMENT`
`static int` `DOT`
`static int` `EQ`
`static int` `ESC_EXPR`
`static int` `EXPR_END`
`static int` `EXPR_START`
`static int` `FLOAT`
`static int` `GEQ`
`static int` `GT`
`static int` `ID`
`static int` `IN_OP`
`static int` `INT`
`static int` `LBRACKET`
`static int` `LEQ`
`static int` `LT`
`static int` `NEQ`
`static int` `NOT_OP`
`static int` `OPTION_SEP`
`static int` `OR_OP`
`static int` `RBRACKET`
`static int` `RULE_andBinaryOp`
`static int` `RULE_atom`
`static int` `RULE_comparisonOp`
`static int` `RULE_comparisonTerm`
`static int` `RULE_expression`
`static int` `RULE_exprNode`
`static int` `RULE_factor`
`static int` `RULE_field`
`static int` `RULE_inBinaryOp`
`static int` `RULE_interpolation`
`static int` `RULE_option`
`static int` `RULE_optionList`
`static int` `RULE_orBinaryOp`
`static int` `RULE_simple`
`static int` `RULE_stringConst`
`static int` `RULE_term`
`static int` `RULE_textFrag`
`static int` `RULE_valueList`
`static String[]` `ruleNames`
`static int` `STRING`
`static int` `TERNARY_BRANCHES_OP`
`static int` `TERNARY_Q_OP`
`static int` `TEXT_PART`
`static String[]` `tokenNames` Deprecated. Use `VOCABULARY` instead.
`static org.antlr.v4.runtime.Vocabulary` `VOCABULARY`
`static int` `WS`

### Fields inherited from class org.antlr.v4.runtime.Parser

`_buildParseTrees, _ctx, _errHandler, _input, _parseListeners, _precedenceStack, _syntaxErrors, matchedEOF`

### Fields inherited from class org.antlr.v4.runtime.Recognizer

`_interp, EOF`

### Constructor Summary

Constructors
`SightlyParser​(org.antlr.v4.runtime.TokenStream input)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`SightlyParser.AndBinaryOpContext` `andBinaryOp()`
`SightlyParser.AtomContext` `atom()`
`SightlyParser.ComparisonOpContext` `comparisonOp()`
`SightlyParser.ComparisonTermContext` `comparisonTerm()`
`SightlyParser.ExpressionContext` `expression()`
`SightlyParser.ExprNodeContext` `exprNode()`
`SightlyParser.FactorContext` `factor()`
`SightlyParser.FieldContext` `field()`
`org.antlr.v4.runtime.atn.ATN` `getATN()`
`String` `getGrammarFileName()`
`String[]` `getRuleNames()`
`String` `getSerializedATN()`
`String[]` `getTokenNames()` Deprecated.
`org.antlr.v4.runtime.Vocabulary` `getVocabulary()`
`SightlyParser.InBinaryOpContext` `inBinaryOp()`
`SightlyParser.InterpolationContext` `interpolation()`
`SightlyParser.OptionContext` `option()`
`SightlyParser.OptionListContext` `optionList()`
`SightlyParser.OrBinaryOpContext` `orBinaryOp()`
`SightlyParser.SimpleContext` `simple()`
`SightlyParser.StringConstContext` `stringConst()`
`SightlyParser.TermContext` `term()`
`SightlyParser.TextFragContext` `textFrag()`
`SightlyParser.ValueListContext` `valueList()`

### Methods inherited from class org.antlr.v4.runtime.Parser

`addContextToParseTree, addParseListener, compileParseTreePattern, compileParseTreePattern, consume, createErrorNode, createTerminalNode, dumpDFA, enterOuterAlt, enterRecursionRule, enterRecursionRule, enterRule, exitRule, getATNWithBypassAlts, getBuildParseTree, getContext, getCurrentToken, getDFAStrings, getErrorHandler, getExpectedTokens, getExpectedTokensWithinCurrentRule, getInputStream, getInvokingContext, getNumberOfSyntaxErrors, getParseInfo, getParseListeners, getPrecedence, getRuleContext, getRuleIndex, getRuleInvocationStack, getRuleInvocationStack, getSourceName, getTokenFactory, getTokenStream, getTrimParseTree, inContext, isExpectedToken, isMatchedEOF, isTrace, match, matchWildcard, notifyErrorListeners, notifyErrorListeners, precpred, pushNewRecursionContext, removeParseListener, removeParseListeners, reset, setBuildParseTree, setContext, setErrorHandler, setInputStream, setProfile, setTokenFactory, setTokenStream, setTrace, setTrimParseTree, triggerEnterRuleEvent, triggerExitRuleEvent, unrollRecursionContexts`

### Methods inherited from class org.antlr.v4.runtime.Recognizer

`action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _decisionToDFA

    protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

#### _sharedContextCache

    protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

#### ESC_EXPR

    public static final int ESC_EXPR

See Also:
  Constant Field Values

#### EXPR_START

    public static final int EXPR_START

See Also:
  Constant Field Values

#### TEXT_PART

    public static final int TEXT_PART

See Also:
  Constant Field Values

#### EXPR_END

    public static final int EXPR_END

See Also:
  Constant Field Values

#### BOOL_CONSTANT

    public static final int BOOL_CONSTANT

See Also:
  Constant Field Values

#### DOT

    public static final int DOT

See Also:
  Constant Field Values

#### LBRACKET

    public static final int LBRACKET

See Also:
  Constant Field Values

#### RBRACKET

    public static final int RBRACKET

See Also:
  Constant Field Values

#### IN_OP

    public static final int IN_OP

See Also:
  Constant Field Values

#### AND_OP

    public static final int AND_OP

See Also:
  Constant Field Values

#### OR_OP

    public static final int OR_OP

See Also:
  Constant Field Values

#### NOT_OP

    public static final int NOT_OP

See Also:
  Constant Field Values

#### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

#### ARRAY_START

    public static final int ARRAY_START

See Also:
  Constant Field Values

#### ARRAY_END

    public static final int ARRAY_END

See Also:
  Constant Field Values

#### ASSIGN

    public static final int ASSIGN

See Also:
  Constant Field Values

#### OPTION_SEP

    public static final int OPTION_SEP

See Also:
  Constant Field Values

#### TERNARY_Q_OP

    public static final int TERNARY_Q_OP

See Also:
  Constant Field Values

#### TERNARY_BRANCHES_OP

    public static final int TERNARY_BRANCHES_OP

See Also:
  Constant Field Values

#### LT

    public static final int LT

See Also:
  Constant Field Values

#### LEQ

    public static final int LEQ

See Also:
  Constant Field Values

#### GEQ

    public static final int GEQ

See Also:
  Constant Field Values

#### GT

    public static final int GT

See Also:
  Constant Field Values

#### EQ

    public static final int EQ

See Also:
  Constant Field Values

#### NEQ

    public static final int NEQ

See Also:
  Constant Field Values

#### ID

    public static final int ID

See Also:
  Constant Field Values

#### INT

    public static final int INT

See Also:
  Constant Field Values

#### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

#### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

#### WS

    public static final int WS

See Also:
  Constant Field Values

#### STRING

    public static final int STRING

See Also:
  Constant Field Values

#### RULE_interpolation

    public static final int RULE_interpolation

See Also:
  Constant Field Values

#### RULE_textFrag

    public static final int RULE_textFrag

See Also:
  Constant Field Values

#### RULE_expression

    public static final int RULE_expression

See Also:
  Constant Field Values

#### RULE_optionList

    public static final int RULE_optionList

See Also:
  Constant Field Values

#### RULE_option

    public static final int RULE_option

See Also:
  Constant Field Values

#### RULE_exprNode

    public static final int RULE_exprNode

See Also:
  Constant Field Values

#### RULE_orBinaryOp

    public static final int RULE_orBinaryOp

See Also:
  Constant Field Values

#### RULE_andBinaryOp

    public static final int RULE_andBinaryOp

See Also:
  Constant Field Values

#### RULE_inBinaryOp

    public static final int RULE_inBinaryOp

See Also:
  Constant Field Values

#### RULE_comparisonTerm

    public static final int RULE_comparisonTerm

See Also:
  Constant Field Values

#### RULE_comparisonOp

    public static final int RULE_comparisonOp

See Also:
  Constant Field Values

#### RULE_factor

    public static final int RULE_factor

See Also:
  Constant Field Values

#### RULE_term

    public static final int RULE_term

See Also:
  Constant Field Values

#### RULE_field

    public static final int RULE_field

See Also:
  Constant Field Values

#### RULE_simple

    public static final int RULE_simple

See Also:
  Constant Field Values

#### RULE_valueList

    public static final int RULE_valueList

See Also:
  Constant Field Values

#### RULE_atom

    public static final int RULE_atom

See Also:
  Constant Field Values

#### RULE_stringConst

    public static final int RULE_stringConst

See Also:
  Constant Field Values

#### ruleNames

    public static final String[] ruleNames

#### VOCABULARY

    public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

#### tokenNames

    @Deprecated
    public static final String[] tokenNames

Deprecated.
Use `VOCABULARY` instead.

#### _serializedATN

    public static final String _serializedATN

See Also:
  Constant Field Values

#### _ATN

    public static final org.antlr.v4.runtime.atn.ATN _ATN

### Constructor Detail

#### SightlyParser

    public SightlyParser​(org.antlr.v4.runtime.TokenStream input)

### Method Detail

#### getTokenNames

    @Deprecated
    public String[] getTokenNames()

Deprecated.

Specified by:
  `getTokenNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,​org.antlr.v4.runtime.atn.ParserATNSimulator>`

#### getVocabulary

    public org.antlr.v4.runtime.Vocabulary getVocabulary()

Overrides:
  `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,​org.antlr.v4.runtime.atn.ParserATNSimulator>`

#### getGrammarFileName

    public String getGrammarFileName()

Specified by:
  `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,​org.antlr.v4.runtime.atn.ParserATNSimulator>`

#### getRuleNames

    public String[] getRuleNames()

Specified by:
  `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,​org.antlr.v4.runtime.atn.ParserATNSimulator>`

#### getSerializedATN

    public String getSerializedATN()

Overrides:
  `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,​org.antlr.v4.runtime.atn.ParserATNSimulator>`

#### getATN

    public org.antlr.v4.runtime.atn.ATN getATN()

Specified by:
  `getATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,​org.antlr.v4.runtime.atn.ParserATNSimulator>`

#### interpolation

    public final SightlyParser.InterpolationContext interpolation()
                                                           throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### textFrag

    public final SightlyParser.TextFragContext textFrag()
                                                 throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### expression

    public final SightlyParser.ExpressionContext expression()
                                                     throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### optionList

    public final SightlyParser.OptionListContext optionList()
                                                     throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### option

    public final SightlyParser.OptionContext option()
                                             throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### exprNode

    public final SightlyParser.ExprNodeContext exprNode()
                                                 throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### orBinaryOp

    public final SightlyParser.OrBinaryOpContext orBinaryOp()
                                                     throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### andBinaryOp

    public final SightlyParser.AndBinaryOpContext andBinaryOp()
                                                       throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### inBinaryOp

    public final SightlyParser.InBinaryOpContext inBinaryOp()
                                                     throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### comparisonTerm

    public final SightlyParser.ComparisonTermContext comparisonTerm()
                                                             throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### comparisonOp

    public final SightlyParser.ComparisonOpContext comparisonOp()
                                                         throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### factor

    public final SightlyParser.FactorContext factor()
                                             throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### term

    public final SightlyParser.TermContext term()
                                         throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### field

    public final SightlyParser.FieldContext field()
                                           throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### simple

    public final SightlyParser.SimpleContext simple()
                                             throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### valueList

    public final SightlyParser.ValueListContext valueList()
                                                   throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### atom

    public final SightlyParser.AtomContext atom()
                                         throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`

#### stringConst

    public final SightlyParser.StringConstContext stringConst()
                                                       throws org.antlr.v4.runtime.RecognitionException

Throws:
  `org.antlr.v4.runtime.RecognitionException`